Subject: bug#79407: to-file option not working any more?

From: Mandar Mitra <[email-masked]>
Date: Mon, 8 Sep 2025 14:14:08 +0530

When I specify a directory with the --to-file option, and ask diff to compare multiple files with the corresponding files under the to-file directory, only the first file is diffed; a "No such file or directory" message is displayed for everything else.

Example:

$ /bin/diff -s --to-file=tmp/ 012018.pdf ben.pdf 
Files 012018.pdf and tmp/012018.pdf are identical
/bin/diff: tmp/: No such file or directory

But running diff separately on the two files works:

$ /bin/diff -s --to-file=tmp/ 012018.pdf 
Files 012018.pdf and tmp/012018.pdf are identical

$ /bin/diff -s --to-file=tmp/ ben.pdf 
Files ben.pdf and tmp/ben.pdf are identical

I'm reasonably sure this used to work earlier as I expected, but a quick search did not find any related discussions / bug reports.

Could someone kindly confirm whether this is a bug or incorrect understanding on my part?

Many thanks,
Mandar.